Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinBase.FILETIME

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinBase.FILETIME

Enclosing class:
  WinBase

    public static class WinBase.FILETIME

extends com.sun.jna.Structure

The FILETIME structure is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC). Conversion code in this class Copyright 2002-2004 Apache Software Foundation.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `dwHighDateTime`
`int` | `dwLowDateTime`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.FILETIME()`

Method Summary
`static long` | `dateToFileTime(java.util.Date date)` Converts a `Date` into a filetime.
`static java.util.Date` | `filetimeToDate(int high, int low)` Converts a Windows FILETIME into a `Date`.
`java.util.Date` | `toDate()`
`long` | `toLong()`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwLowDateTime

    public int dwLowDateTime

### dwHighDateTime

    public int dwHighDateTime

Constructor Detail

### WinBase.FILETIME

    public WinBase.FILETIME()

Method Detail

### filetimeToDate

    public static java.util.Date filetimeToDate(int high,
                                                int low)

  Converts a Windows FILETIME into a `Date`. The Windows FILETIME structure holds a date and time associated with a file. The structure identifies a 64-bit integer specifying the number of 100-nanosecond intervals which have passed since January 1, 1601. This 64-bit value is split into the two double words stored in the structure.

  Parameters:
    `high` - The higher double word of the FILETIME structure.
    `low` - The lower double word of the FILETIME structure.
  Returns:
    The Windows FILETIME as a `Date`.

### dateToFileTime

    public static long dateToFileTime(java.util.Date date)

  Converts a `Date` into a filetime.

  Parameters:
    `date` - The date to be converted
  Returns:
    The filetime
  See Also:
    `filetimeToDate(int, int)`

### toDate

    public java.util.Date toDate()

### toLong

    public long toLong()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.sun.jna.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD